package ${package};

import org.alfresco.service.ServiceRegistry;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.extensions.webscripts.AbstractWebScript;
import org.springframework.extensions.webscripts.WebScriptRequest;
import org.springframework.extensions.webscripts.WebScriptResponse;
import org.springframework.stereotype.Component;

import java.io.IOException;

/**
 * This class is an example of how you can use the Alfresco Java Public API by listening for external ReST requests.
 * 
 * The component value (bean ID) must start with 'webscript.' and end with '.{rest_method}'.
 */
@Component(value = "webscript.${package}.exampleJava.get")
public class ExampleGetWebScript extends AbstractWebScript {
    
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    // this is the Alfresco Public Java API entrypoint
    @Autowired
    protected ServiceRegistry serviceRegistry;

    @Override
    public void execute(WebScriptRequest req, WebScriptResponse res) throws IOException {
		if (this.logger.isTraceEnabled())
			this.logger.trace("execute()");
		
        // TODO do some work
    }
}
