package ${package};

import org.alfresco.repo.processor.BaseProcessorExtension;
import org.alfresco.service.ServiceRegistry;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * This class is an example of how you can use the Alfresco Java Public API to extend the JavaScript engine.
 */
public class ExampleJavaScriptRootObject extends BaseProcessorExtension {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
    // this is the Alfresco Public Java API entrypoint
    @Autowired
    protected ServiceRegistry serviceRegistry;
    
    public String getMessage(String messageKey) {
    	if (this.logger.isTraceEnabled())
    		this.logger.trace("getMessage('" + messageKey + "')");
    	
    	// just and example method, called in JS with: example.getMessage("example.property");
    	return this.serviceRegistry.getDictionaryService().getMessage(messageKey);
    }

}
