package ${package};

import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.ExecutionListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * This class is an example of how you can implement an Activiti Execution Listener.
 * You can reference it in your BPMN with:
 *    <activiti:executionListener delegateExpression="${exampleExecutionListener}" event="start" />
 *    <activiti:executionListener expression="${exampleExecutionListener.exampleMethod('example parameter')}" event="end" />
 */
@Component("exampleExecutionListener")
public class ExampleExecutionListener implements ExecutionListener {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());
    
    public void notify(DelegateExecution execution) throws Exception {
		if (this.logger.isTraceEnabled())
			this.logger.trace("execute('" + execution.getId() + "')");
		
		// TODO do some stuff
	}
	
	public void exampleMethod(String param) throws Exception {
		// another example
	}

}
