package ${package};

import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.JavaDelegate;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * This class is an example of how you can implement an Activiti Service Task.
 * You can reference it in your BPMN with:
 *    <serviceTask id="serviceTask" activiti:delegateExpression="${exampleServiceTask}" />
 *    <serviceTask id="serviceTask" activiti:expression="${exampleServiceTask.exampleMethod('example parameter')}" />
 */
@Component("exampleServiceTask")
public class ExampleServiceTask implements JavaDelegate {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());
	
	public void execute(DelegateExecution execution) throws Exception {
		if (this.logger.isTraceEnabled())
			this.logger.trace("execute('" + execution.getId() + "')");
		
		// TODO do some stuff
	}
	
	public void exampleMethod(String param) throws Exception {
		// another example
	}

}
